﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.UI.Docking;

namespace WindowsFormsApplication16
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();

            this.radDock1.ActiveWindowChanged += new Telerik.WinControls.UI.Docking.DockWindowEventHandler(radDock1_ActiveWindowChanged);

            this.IsMdiContainer = true;
            this.radDock1.AutoDetectMdiChildren = true;
        }

        void radDock1_ActiveWindowChanged(object sender, Telerik.WinControls.UI.Docking.DockWindowEventArgs e)
        {
            HostWindow hostW = e.DockWindow as HostWindow;
            if (hostW != null)
            {
                if (hostW.Content is Form)
                {
                    Console.WriteLine("ACTIVATED");
                }
            }
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            Form f = new Form();
            f.MdiParent = this;
            f.BackColor = Color.Red;
            f.GotFocus += new EventHandler(f_GotFocus);
            f.Show();

            f = new Form();
            f.MdiParent = this;
            f.BackColor = Color.Yellow;
            f.GotFocus += new EventHandler(f_GotFocus);
            f.Show();
        }

        void f_GotFocus(object sender, EventArgs e)
        {
            Console.WriteLine("FOCUSED");
        }
    }
}
